package com.jxy.marketall.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jxy.common.datasource.annotation.ETHRTDb;
import com.jxy.marketall.dto.*;
import com.jxy.marketall.entity.*;
import com.jxy.marketall.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @Description eth大额交易mapper
 * @Date 2022/6/21 14:36
 * @Author 杜懿
 */
@ETHRTDb
public interface ETHRTMapper{


    public IPage<TagDto> selectETHTagsByPage(Page<ETHTags> page);

    public List<Arh99> selectArh99ByTime(@Param("vo") QueryVo vo);

    public List<Arh99Day> selectArh99Day();

    public List<Jzr60> selectJzr60ByTime(@Param("vo") QueryVo vo);

    public List<Jzr60Day> selectJzr60Day();

    public List<Ma730Dto> selectMa730ByTime(@Param("vo") QueryVo vo);

    public List<Ma730Dto> selectMa730Day();
    /**   */

    public int batchInsertCSUSDT(@Param("list") List<CirculatingSupplyDataDto> list);

    public int batchInsertCSUSDC(@Param("list") List<CirculatingSupplyDataDto> list);

    public int batchInsertCSBUSD(@Param("list") List<CirculatingSupplyDataDto> list);

    public List<CirculatingSupplyDataDto> getCSUSDTList(@Param("vo") QueryVo vo);

    public List<CirculatingSupplyDataDto> getCSUSDCList(@Param("vo") QueryVo vo);

    public List<CirculatingSupplyDataDto> getCSBUSDList(@Param("vo") QueryVo vo);

    public List<AllTypeCSDto> getTotalCSList(@Param("vo") QueryVo vo);



}
